app with support for multiple Python versions

Steven Bethard steven.bethard at gmail.com
Thu Dec 2 18:53:36 CET 2004


I have a friend developing an app that has bindings for a variety of
languages (e.g. Python, Perl, Tcl, Java, etc.).  In order to provide
the Python support, he uses tclpython
(http://jfontain.free.fr/tclpython.htm).  If he builds tclpython with,
say, Python 2.3, I have to download a source version of his app and
rebuild the Python support if I'm using Python 2.4.  This works fine
for me because I have no problem rebuilding the library, but for those
that don't want to rebuild libraries, it could be inconvenient.

Are there any options other than compiling a separate version of the
app for each Python version?

Thanks for your suggestions,

STeve
-- 
You can wordify anything if you just verb it.
        --- Bucky Katt, Get Fuzzy



More information about the Python-list mailing list